package feux.exo2Et3;

import java.awt.Color;

/**
 * Les couleurs possibles pour un feu. On pourrait les rendre plus intelligentes
 * pour simplifier le système.
 *
 * @author rosmord
 */
public enum CouleurFeu {

    VERT(Color.GREEN), ORANGE(Color.ORANGE), ROUGE(Color.RED);

    private final Color color;

    private CouleurFeu(Color color) {
        this.color = color;
    }

    /**
     * Renvoie la couleur suivante dans l'ordre d'allumage.
     * @return 
     */
    public CouleurFeu suivant() {
        // on choisit ici un algo très basique (je l'avais d'abord fait
        // en utisant la liste des valeurs, mais ça n'est pas très lisible.
        switch (this) {
            case VERT:
                return ORANGE;
            case ORANGE:
                return ROUGE;
            case ROUGE:
                return VERT;
            default:
                throw new RuntimeException("couleur inconnue ?? (impossible normalement)");
        }
    }

    /**
     * Retourne la couleur d'affichage.
     * @return 
     */
    public Color getColor() {
        return color;
    }

}
